<template>
  <div>
    <button class="w3-button w3-teal" v-on:click="submit">Save</button>
  </div>
</template>

<script>
import axios from "axios";

export default {
  methods: {
    async submit() {
      const allMutationDives = this.$store.state.navigationData.filter(
        (d) => d.changed == true
      );
      console.log(allMutationDives);
      await axios.put("getDivesDateTime", allMutationDives).then(
        (resp) => {
          console.log(
            "give a feedabck to the user and save the coordinates in the oldCoordinates"
          );
          return resp;
        },
        (error) => {
          console.log(error);
        }
      );
    },
  },
};
</script>
